# 	$Id: initscripts.spec 252003 2009-01-22 17:26:21Z eugeni $	

# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;

Summary: The inittab file and the /etc/init.d scripts
Name: initscripts
Version: 9.55
Release: %mkrel 24
# ppp-watch is GPLv2+, everything else is GPLv2
License: GPLv2 and GPLv2+
Group: System/Base
# (cg) To modify/see the source, mgaconf super patch and other patches
#      please read: http://gitweb.mageia.org/software/forks/initscripts/about/
#
Source0: initscripts-%{version}.tar.bz2
# (cg) git diff initscripts-9.55-1..distro/mga @ bcb4e37b4cf4bc5b79509165cf2444a0ffcae0fa
Source1: initscripts-mgaconf.patch.xz

Patch100:  0100-Restore-Mageia-ifup-wireless.patch
Patch101:  0101-Kill-off-the-dm-initscript.patch
Patch102:  0102-Remove-last-vestiges-of-speedboot.patch
Patch103:  0103-Kill-off-supermount.patch
Patch104:  0104-fedora-readonly-Updates-for-systemd-random-seed-hand.patch
# (cg) Hold off on applying this one for now
Source105:  0105-Kill-off-prefdm-lookupdm.patch
Patch106:  0106-Split-out-dkms-module-re-build-from-mandrake_everyti.patch
Patch107:  0107-Ensure-mandriva-everytime-service-runs-after-dkms-au.patch
Patch500:  0500-Drop-non-working-H-switch-from-dhclient-cmd.patch
Patch900:  0900-Revert-Drop-fedora-storage-init-conflict-with-older-.patch
Patch1000: 1000-prefdm-replace-kdm-with-sddm.patch
Patch1001: 1001-sddm-set-plymouth_quit.patch
Patch1002: 1002-prefdm-force-plymouth-quit.patch
Patch1003: 1003-prefdm-run-first-time-actions.patch

# for /bin/awk
Requires: gawk
# for /bin/sed
Requires: sed
Requires: mktemp
Requires: e2fsprogs >= 1.18-2
Requires: procps >= 2.0.7-8
Requires: gettext-base >= 0.10.35-20
Requires: kmod
# needed for chvt --userwait
Requires: kbd >= 1.15.1-2
#Requires: sysklogd >= 1.3.31
# for /sbin/fuser
Requires: psmisc
Requires: which
Requires: setup >= 2.2.0-14
Requires: systemd
Requires(post): systemd
# for /sbin/ip
Requires: iproute2
# for /sbin/arping
Requires: iputils
Requires: net-tools
Requires: hostname
# for /bin/find
Requires: findutils
Requires: perl-MDK-Common >= 1.0.1
Requires: ifplugd >= 0.24
Requires: iproute2
Requires: ethtool
Recommends: dhcp-client
# http://bugzilla.redhat.com/show_bug.cgi?id=252973
Conflicts: nut < 2.2.0
Obsoletes: rhsound sapinit
Provides: rhsound sapinit
Provides: /sbin/service
Conflicts: kernel <= 2.2
Conflicts: timeconfig < 3.0
Conflicts: ppp < 2.4.7-2
Conflicts: wvdial < 1.40-3
Conflicts: initscripts < 1.22.1-5
Conflicts: Aurora <= 7.2-17
Conflicts: dhcpcd < 1.3.21pl1
Conflicts: XFree86-xfs < 4.2.0-12
Conflicts: xinitrc < 2.4.12
Conflicts: lsb < 3.1-11
Conflicts: lsb-core < 3.1-15
Conflicts: suspend-scripts < 1.27
Conflicts: mdadm < 2.6.4-2
Conflicts: systemd < 37-3
Conflicts: systemd-units < 37-3
Requires: util-linux >= 2.16
Requires: udev >= 108-2
Requires: ifmetric, resolvconf >= 1.41
Requires: dmsetup
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires(post): coreutils, grep, chkconfig >= 1.3.37-3
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: popt-devel
BuildRequires: python
# Upstream URL: http://git.fedorahosted.org/git/initscripts.git
Url: http://www.mageia.org

#this is required since latest glibc (new atomic OPs?)
%global __requires_exclude GLIBC_PRIVATE


%description
The initscripts package contains the basic system scripts used to boot
your Mageia system, change run levels, and shut the system
down cleanly.  Initscripts also contains the scripts that activate and
deactivate most network interfaces.

%package -n debugmode
Summary: Scripts for running in debugging mode
Requires: initscripts
Group: System/Base

%description -n debugmode
The debugmode package contains some basic scripts that are used to run
the system in a debugging mode.

Currently, this consists of various memory checking code.

%prep
%setup -q
xzcat %{SOURCE1} | /usr/bin/patch -U -s -p1 --fuzz=0
%autopatch -p1
find -name "*.0???" -delete
rm -rf po
ln -s mandriva/po

gzip -9 mandriva/ChangeLog
mv ChangeLog ChangeLog-RH
gzip -9 ChangeLog-RH

%build
make
make -C mandriva CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}/etc
make ROOT=%{buildroot} SUPERUSER=`id -un` SUPERGROUP=`id -gn` mandir=%{_mandir} install

#MDK
make -C mandriva install ROOT=%{buildroot} mandir=%{_mandir}

python mandriva/gprintify.py \
	`find %{buildroot}/etc/rc.d -type f` \
	`find %{buildroot}/sysconfig/network-scripts -type f` \
	%{buildroot}%{_prefix}/lib/systemd/fedora-* \
	%{buildroot}%{_prefix}/lib/systemd/mandriva-*

# warly 
# put locale in /usr, gettext need /usr/share
#
# extracted from /usr/lib/rpm/find-lang.sh and adapted to find locales in /etc
#find %{buildroot} -type f|sed '
#1i\
#%defattr (644, root, root, 755)
#s:'"%{buildroot}"'::
#s:\(.*/etc/locale/\)\([^/_]\+\)\(.*'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#s:%lang(C) ::
#' >> %{name}.lang

%find_lang %{name}

rm -rf %{buildroot}/etc/event.d
rm -rf %{buildroot}/etc/init
rm -f %{buildroot}/etc/inittab.*

%ifnarch s390 s390x
rm -f \
 %{buildroot}/etc/sysconfig/network-scripts/ifup-ctc \
 %{buildroot}/etc/sysconfig/network-scripts/ifup-iucv \
 %{buildroot}%{_prefix}/lib/udev/rules.d/55-ccw.rules \
 %{buildroot}%{_prefix}/lib/udev/ccw_init
%else
rm -f \
 %{buildroot}/etc/rc.d/rc.sysinit.s390init \
 %{buildroot}/etc/sysconfig/init.s390
%endif

# remove unused hotplug helper and ipsec/isdn stuff
rm -f %{buildroot}/etc/sysconfig/network-scripts/{ifdown-ippp,ifup-ippp,ifdown-ipsec,ifup-ipsec,net.hotplug}

# we use network rules from the udev package
#rm -f %{buildroot}%{_prefix}/lib/udev/rules.d/60-net.rules

# we have our own copy of gprintify
export DONT_GPRINTIFY=1

install -d -m 0755 %{buildroot}/%{_sysconfdir}/sysctl.d

touch %{buildroot}%{_sysconfdir}/crypttab
chmod 600 %{buildroot}%{_sysconfdir}/crypttab

# (cg) For now this messes things up on gnome-terminal - should be fixed properly!
rm -f %{buildroot}/etc/profile.d/10term256.*

# (cg) Upstream should stop shipping this too IMO (it's systemd's job now)
rm -f %{buildroot}/var/run/utmp

# (lm) fedora-storage-init should be executable
chmod 755 %{buildroot}%{_prefix}/lib/systemd/fedora-storage-init

# (cg) Clean up danging symlinks after initscript removal
%transfiletriggerpostun -- %{_initrddir}/
find -L /etc/rc.d/rc{0,1,2,3,4,5,6,7}.d -type l -delete


%posttrans
%_tmpfilescreate %{name}
##Fixme
touch /etc/sysconfig/i18n
##
touch /var/log/wtmp /var/log/btmp
chown root:utmp /var/log/wtmp /var/log/btmp
chmod 664 /var/log/wtmp
chmod 600 /var/log/btmp

%_mypost_service partmon

%_mypost_service network

%_mypost_service network-up

%_mypost_service netconsole

# /etc/sysconfig/desktop format has changed
if [ -r /etc/sysconfig/desktop ]; then
    if ! grep -q = /etc/sysconfig/desktop; then
        DESK=`cat /etc/sysconfig/desktop`
        echo "DESKTOP=$DESK" > /etc/sysconfig/desktop
    fi
fi

# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do
	if [ -r %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo ]; then
		mkdir -p /etc/locale/$i/LC_MESSAGES/
		cp %{_datadir}/locale/$i/LC_MESSAGES/initscripts.mo \
			/etc/locale/$i/LC_MESSAGES/
                #
		# warly
		# FIXME: this should be done by each locale when installed or upgraded
		#
		pushd %{_datadir}/locale/$i/ > /dev/null && for j in LC_*
		do
			if [ -r $j -a ! -d $j ]; then
			    cp $j /etc/locale/$i/
			fi
		done && popd > /dev/null
		if [ -r %{_datadir}/locale/$i/LC_MESSAGES/SYS_LC_MESSAGES ]; then
			cp %{_datadir}/locale/$LANG/LC_MESSAGES/SYS_LC_MESSAGES /etc/locale/$i/LC_MESSAGES/
		fi
		#
		#
		break
	fi
done

%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

# only needed on upgrade
if [ $1 != 0 ]; then
	# Handle boot sequence changes on upgrade
	%initlvl_chg partmon 80 13
fi

%preun
%_preun_service netconsole

%_preun_service dm

%_preun_service network-up

%_preun_service network

%_preun_service partmon

%postun
if [ -f /var/lock/TMP_1ST ];then 
		rm -f /var/lock/TMP_1ST
fi
if [ "$1" = "0" ]; then
	for i in /etc/locale/*/LC_MESSAGES/initscripts.mo
	do
		rm -f $i
		rmdir `dirname $i` >/dev/null 2> /dev/null
	done
	rmdir /etc/locale/* >/dev/null 2> /dev/null
fi

%files -f %{name}.lang
%dir /etc/sysconfig/network-scripts
%dir /etc/sysconfig/network-scripts/ifup.d
%dir /etc/sysconfig/network-scripts/ifdown.d
%dir /etc/sysconfig/network-scripts/wireless.d
%dir /etc/sysconfig/network-scripts/vpn.d
%dir /etc/sysconfig/network-scripts/vpn.d/openvpn
%dir /etc/sysconfig/network-scripts/vpn.d/pptp
%dir /etc/sysconfig/network-scripts/vpn.d/vpnc
%config(noreplace) %verify(not md5 mtime size) /etc/adjtime
%config(noreplace) /etc/sysconfig/init
%config(noreplace) /etc/sysconfig/autofsck
%config(noreplace) /etc/sysconfig/partmon
%config(noreplace) /etc/sysconfig/netconsole
%config(noreplace) /etc/sysconfig/readonly-root
/etc/sysconfig/network-scripts/ifdown
%{_sbindir}/ifdown
/etc/sysconfig/network-scripts/ifdown-post
/etc/sysconfig/network-scripts/ifup
%{_sbindir}/ifup
%dir /etc/sysconfig/console
%dir /etc/sysconfig/console/consoletrans
%dir /etc/sysconfig/console/consolefonts
%dir /etc/sysconfig/modules
/etc/sysconfig/network-scripts/network-functions
/etc/sysconfig/network-scripts/network-functions-ipv6
/etc/sysconfig/network-scripts/init.ipv6-global
%config(noreplace) /etc/sysconfig/network-scripts/ifcfg-lo
/etc/sysconfig/network-scripts/ifup-post
/etc/sysconfig/network-scripts/ifup-routes
/etc/sysconfig/network-scripts/ifdown-routes
/etc/sysconfig/network-scripts/ifup-plip
/etc/sysconfig/network-scripts/ifup-plusb
/etc/sysconfig/network-scripts/ifup-bnep
/etc/sysconfig/network-scripts/ifdown-bnep
/etc/sysconfig/network-scripts/ifup-eth
/etc/sysconfig/network-scripts/ifdown-eth
/etc/sysconfig/network-scripts/ifup-ipv6
/etc/sysconfig/network-scripts/ifdown-ipv6
/etc/sysconfig/network-scripts/ifup-sit
/etc/sysconfig/network-scripts/ifdown-sit
/etc/sysconfig/network-scripts/ifup-tunnel
/etc/sysconfig/network-scripts/ifdown-tunnel
/etc/sysconfig/network-scripts/ifup-aliases
#/etc/sysconfig/network-scripts/ifup-ippp
#/etc/sysconfig/network-scripts/ifdown-ippp
/etc/sysconfig/network-scripts/ifup-wireless
/etc/sysconfig/network-scripts/ifup-hso
/etc/sysconfig/network-scripts/ifdown-hso
/etc/X11/prefdm
/etc/X11/lookupdm
%dir /etc/X11/xsetup.d
%config(noreplace) /etc/networks 
/etc/rwtab
%dir /etc/rwtab.d
/etc/statetab
%dir /etc/statetab.d
%{_prefix}/lib/udev/rules.d/*
%config(noreplace) /etc/inittab
/etc/rc[0-9].d
/etc/rcS.d
%dir /etc/rc.d/init.d
%{_prefix}/lib/lsb/init-functions
/etc/rc.d/init.d/*
%config(noreplace) /etc/sysctl.conf
%dir /etc/sysctl.d
/etc/sysctl.d/99-sysctl.conf
%dir %{_prefix}/lib/sysctl.d
%{_prefix}/lib/sysctl.d/00-system.conf
%exclude /etc/profile.d/debug*
%config /etc/profile.d/*
%dir /etc/sysconfig/network-scripts/cellular.d
%dir /etc/sysconfig/network-scripts/hostname.d
/etc/sysconfig/network-scripts/ifup.d/vpn
/etc/sysconfig/network-scripts/ifdown.d/vpn
%{_sbindir}/vpn-start
%{_sbindir}/vpn-stop
%{_sbindir}/mdv-network-event
%{_sbindir}/sys-unconfig
%{_bindir}/ipcalc
%{_bindir}/usleep
%attr(4755,root,root) %{_sbindir}/usernetctl
%{_sbindir}/consoletype
%{_sbindir}/genhostid
%attr(2755,root,root) %{_sbindir}/netreport
%{_prefix}/lib/udev/rename_device
%ifarch s390 s390x
%{_prefix}/lib/udev/ccw_init
%endif
%{_sbindir}/service
%{_sbindir}/sushell
#mdv
%{_sbindir}/hibernate-cleanup.sh
%{_mandir}/man*/*
%lang(cs)	%{_mandir}/cs/man*/*
%lang(et)	%{_mandir}/et/man*/*
%lang(fr)	%{_mandir}/fr/man*/*
%lang(it)	%{_mandir}/it/man*/*
%lang(pt_BR)	%{_mandir}/pt_BR/man*/*
%lang(ru)	%{_mandir}/ru/man*/*
%lang(uk)	%{_mandir}/uk/man*/*
%dir /etc/NetworkManager
%dir /etc/NetworkManager/dispatcher.d
/etc/NetworkManager/dispatcher.d/00-netreport
%doc sysconfig.txt sysvinitfiles mandriva/ChangeLog.gz static-routes-ipv6 ipv6-tunnel.howto ipv6-6to4.howto changes.ipv6
/var/lib/stateless
%ghost %attr(0664,root,utmp) /var/log/btmp
%ghost %attr(0664,root,utmp) /var/log/wtmp
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/crypttab
%config(noreplace) /etc/modules
/etc/rc.modules
%dir /etc/modprobe.preload.d/
%{_bindir}/display-manager-failure-message
%{_bindir}/listhome
%{_bindir}/partmon
# warly
# gettext need /use/share/locale anyway
#%dir /etc/locale
#%dir /etc/locale/*
#%dir /etc/locale/*/LC_MESSAGES
%{_tmpfilesdir}/initscripts.conf
%{_tmpfilesdir}/mandriva.conf
%{_prefix}/lib/systemd/fedora-autorelabel
%{_prefix}/lib/systemd/fedora-domainname
%{_prefix}/lib/systemd/fedora-import-state
%{_prefix}/lib/systemd/fedora-loadmodules
%{_prefix}/lib/systemd/fedora-readonly
%{_prefix}/lib/systemd/fedora-storage-init
%{_prefix}/lib/systemd/mandriva-save-dmesg
%{_unitdir}/basic.target.wants/fedora-autorelabel.service
%{_unitdir}/basic.target.wants/fedora-autorelabel-mark.service
%{_unitdir}/basic.target.wants/fedora-loadmodules.service
%{_unitdir}/basic.target.wants/mandriva-everytime.service
%{_unitdir}/basic.target.wants/mandriva-save-dmesg.service
%{_unitdir}/local-fs.target.wants/fedora-import-state.service
%{_unitdir}/fedora-autorelabel.service
%{_unitdir}/fedora-autorelabel-mark.service
%{_unitdir}/fedora-domainname.service
%{_unitdir}/fedora-import-state.service
%{_unitdir}/fedora-loadmodules.service
%{_unitdir}/fedora-readonly.service
%{_unitdir}/fedora-storage-init.service
%{_unitdir}/fedora-storage-init-late.service
%{_unitdir}/fedora-wait-storage.service
%{_unitdir}/mandriva-everytime.service
%{_unitdir}/mandriva-save-dmesg.service
%{_unitdir}/local-fs.target.wants/fedora-readonly.service
%{_unitdir}/local-fs.target.wants/fedora-storage-init.service
%{_unitdir}/local-fs.target.wants/fedora-storage-init-late.service

%files -n debugmode
%config(noreplace) /etc/sysconfig/debug
%config /etc/profile.d/debug*


%changelog
* Tue Mar 14 2017 martinw <martinw> 9.55-24.mga6
+ Revision: 1092590
- Actually apply patch added in r905759 to remove call to dkms_autoinstaller
  from /etc/init.d/mandrake_everytime (mga#17194)
- Ensure mandiva-everytime service runs after dkms-autorebuild service to
  stop service_hardrake erroneously reconfiguring the system to use a free
  driver because dkms hasn't finished building the proprietary driver

* Mon Feb 27 2017 martinw <martinw> 9.55-23.mga6
+ Revision: 1088088
- prefdm: execute first-time actions when requested (mga#17223)
  This used to be performed during the selected DM startup, but
  but GDM and SDDM no longer provide the necessary hooks to run
  a user startup script.

* Thu Dec 01 2016 ghibo <ghibo> 9.55-22.mga6
+ Revision: 1071356
- Add latest check for quitting plymouth

* Sat Jul 23 2016 tmb <tmb> 9.55-21.mga6
+ Revision: 1043448
- set plymouth_quit flag for sddm

* Fri Jul 22 2016 tmb <tmb> 9.55-20.mga6
+ Revision: 1043079
- prefdm: kdm has been replaced by sddm

  + neoclust <neoclust>
    - Revert to current cauldron version ( 9.55 ) as i never uploaded 9.66 in time
    - New version 9.66

* Mon Jun 06 2016 tv <tv> 9.55-19.mga6
+ Revision: 1020430
- do not package huge & outdated ChangeLog-RH.gz

* Wed Jan 13 2016 tv <tv> 9.55-18.mga6
+ Revision: 922864
- fix deps loops with systemd: s/%%post/%%posttrans/

* Tue Nov 24 2015 doktor5000 <doktor5000> 9.55-17.mga6
+ Revision: 905759
- remove dkms_autoinstaller from /etc/init.d/mandrake_everytime (mga#17194)
  o split out into dkms-autorebuild.sh in dkms package

* Sun Oct 11 2015 wally <wally> 9.55-16.mga6
+ Revision: 889795
- add patch to drop non-working -H switch from dhclient cmd to get ipv6 address via dhcp

* Sun Sep 06 2015 tv <tv> 9.55-15.mga6
+ Revision: 873283
- submit to core/release

* Fri Aug 14 2015 tv <tv> 9.55-14.mga6
+ Revision: 864776
- use new rpm-4.13 filetriggers
- kill very old triggers (rpm-4.13 cries when there's "duplicate" ones)

* Fri Mar 06 2015 luigiwalser <luigiwalser> 9.55-13.mga5
+ Revision: 817956
- remove requires on prcsys, not used since the switch to systemd

* Wed Jan 14 2015 luigiwalser <luigiwalser> 9.55-12.mga5
+ Revision: 810713
- remove requires on mingetty, not needed since mga1 (we use agetty in util-linux)

* Mon Jan 12 2015 colin <colin> 9.55-11.mga5
+ Revision: 810149
- Fix minor problem with readonly roots fs + random-seed

* Sun Oct 19 2014 colin <colin> 9.55-10.mga5
+ Revision: 791623
- Kill off post actions for dm service. It's long gone.

* Wed Oct 15 2014 umeabot <umeabot> 9.55-9.mga5
+ Revision: 751120
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 tv <tv> 9.55-8.mga5
+ Revision: 737789
- add requires(pre) on systemd (fix one error in install)

* Tue Sep 16 2014 umeabot <umeabot> 9.55-7.mga5
+ Revision: 680514
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Thu Sep 11 2014 colin <colin> 9.55-6.mga5
+ Revision: 674722
- Kill off old, unused dm initscript
- Kill off speedboot stuff that was still lingering around
- Kill off supermount which is no longer used/working
- No longer rely on sysvinit-tools for pidof (it's in procps now)

* Thu Sep 11 2014 colin <colin> 9.55-5.mga5
+ Revision: 674699
- Restore old wireless init scripts (no time to convert properly) mga#14023
- Provide /sbin/service manually due to usrmove path updates mga#14087

* Tue Sep 09 2014 luigiwalser <luigiwalser> 9.55-4.mga5
+ Revision: 673849
- add requires on hostname now that it is in a different package

* Mon Sep 01 2014 colin <colin> 9.55-3.mga5
+ Revision: 670672
- Tidy up conflicts and remove older ppp conflict (replacing with newer one) mga#14024

* Sun Aug 31 2014 lmenut <lmenut> 9.55-2.mga5
+ Revision: 670044
- fix fedora-storage-init not executable

* Sat Aug 30 2014 colin <colin> 9.55-1.mga5
+ Revision: 669511
- New version: 9.55

* Mon Aug 04 2014 alien <alien> 9.41-23.mga5
+ Revision: 659611
- remove requirement to sound-scripts, since coling had removed the responsible scripts

* Wed Jul 23 2014 colin <colin> 9.41-22.mga5
+ Revision: 655934
- Fix for Network Manager API change.

* Wed Jan 22 2014 colin <colin> 9.41-21.mga4
+ Revision: 567390
- Drop support for GDM_LANG mga#12328

* Sat Dec 28 2013 colin <colin> 9.41-20.mga4
+ Revision: 562924
- Remove support for cleaning the (tmpfs) /tmp on every boot
- Ensure VPN network name is properly quoted (mga#10873)

* Tue Nov 05 2013 tmb <tmb> 9.41-19.mga4
+ Revision: 549609
- revert change to %%posttrans as it breaks activating of services at install time

* Thu Oct 31 2013 tmb <tmb> 9.41-18.mga4
+ Revision: 548701
- switch from %%post to %%posttrans to help with deps ordering

* Sat Oct 19 2013 umeabot <umeabot> 9.41-17.mga4
+ Revision: 531378
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 colin <colin> 9.41-16.mga4
+ Revision: 463334
- Drop no longer needed mandriva-boot-links service/script

* Wed Jul 31 2013 colin <colin> 9.41-15.mga4
+ Revision: 461719
- Fix network-up ordering cycle with newer systemd

  + danf <danf>
    - Reworked previous patch to completely fix backspace issue with csh (mga#5007)

* Wed May 08 2013 blino <blino> 9.41-14.mga3
+ Revision: 412606
- mdv-network-event: use mageia.org instead of mandriva.com in dbus events
  drakx-net is listening for events coming from mageia.org
  This should fix detection of connection success/failure in net_applet,
  draknetcenter and drakroam.

* Sun Mar 24 2013 colin <colin> 9.41-13.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Thu Mar 07 2013 dams <dams> 9.41-12.mga3
+ Revision: 401620
- fix Suggests about 'dhclient' ('dhcp-client' now) as spotted by leuhmanu

* Wed Feb 27 2013 colin <colin> 9.41-11.mga3
+ Revision: 400506
- Bail out of ifup/down if NM is used and we cannot find the UUID/device mga#9028
- Fix sysvinit symlink cleanup filter again (thanks to Dan Fandrich)
- Buildroot macro changes
- Quote the file name in the cleanup filter.
- Add a filetrigger to clean up broken sysvinit script links.
- Reapply csh backspace fix added by Remmy lost on mgaconf rebase (mga#5007)

* Mon Jan 14 2013 colin <colin> 9.41-9.mga3
+ Revision: 385734
- Drop inittab tweaks - no longer used.
- Do not ship files in /var/run

* Sat Jan 12 2013 umeabot <umeabot> 9.41-8.mga3
+ Revision: 354402
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dams <dams> 9.41-7.mga3
+ Revision: 343918
- add 'dhclient' as a suggests (as explained on mageia-dev@)

* Sun Jan 06 2013 colin <colin> 9.41-6.mga3
+ Revision: 340048
- Don't mask errors from fedora-loadmodules.service (mga#8472)

* Sun Jan 06 2013 colin <colin> 9.41-5.mga3
+ Revision: 340017
- Wrap wireless patch into main mgaconf patch (mga#8343)
- Add simple fix to prevent exit status leakage (unlikely/rare in practice mga#7489)

* Sun Dec 23 2012 remmy <remmy> 9.41-4.mga3
+ Revision: 334192
+ rebuild (emptylog)

* Sun Dec 23 2012 remmy <remmy> 9.41-3.mga3
+ Revision: 334129
- No longer try to configure the backspace key for the C shell (closes mga#5007)

* Sun Dec 09 2012 tmb <tmb> 9.41-2.mga3
+ Revision: 329208
- add back check for wireless sysfs dir (P0, #8343)

  + colin <colin>
    - Fix up paths and use nice dir macros where possible

* Tue Oct 30 2012 colin <colin> 9.41-1.mga3
+ Revision: 311597
- New version: 9.41
- Drop upstream cherry picks
- Remove the not-really-optional _with_systemd variable.
- Ship an empty /etc/crypttab (to shut up udisks2 mga#3661)

* Tue Oct 23 2012 blino <blino> 9.34-30.mga3
+ Revision: 309530
- drop patches merged in our git tree
- network-functions: fix detecting wireless devices in sysfs
  The wireless directory has been removed in kernel commit
  35b2a113cb0298d4f9a1263338b456094a414.
  Check the phy80211 symlink instead.

* Sun Oct 07 2012 tv <tv> 9.34-29.mga3
+ Revision: 303225
- fix conflicts with ppp (#7683)

* Sun Sep 02 2012 tv <tv> 9.34-28.mga3
+ Revision: 287219
- s/util-linux-ng/util-linux/
- mount requires is dup

* Tue Jul 24 2012 colin <colin> 9.34-27.mga3
+ Revision: 273996
- Rebuild with new spec-helper for non-relative symlnks to /dev/null

* Sun Jul 22 2012 blino <blino> 9.34-26.mga3
+ Revision: 273545
- remove mandriva-clean-var-run-lock systemd service, unneded now that
  /var/lock is a symlink to /run/lock
- inputrc:
  o do not export LESS=-MM anymore
    LESS=-MM breaks colorized output of git, and maybe perl-doc as well
    (Mdv #57143). It seems no other distro is shipping this as default,
    should be safe to remove.
  o do not export LESSKEY, less defaults to the same files already
  o do not export INPUTRC, readline defaults to the same files already
  o remove now unused inputrc.sh profile script

* Sun Jul 22 2012 colin <colin> 9.34-25.mga3
+ Revision: 273407
- Quick fix to prevent initscript trashing /var/{run,lock} symlinks

* Sat Jun 30 2012 colin <colin> 9.34-24.mga3
+ Revision: 265523
- Update for new udevd service name

* Tue Jun 12 2012 tv <tv> 9.34-23.mga3
+ Revision: 260098
- bump conflict with ppp

* Tue Jun 12 2012 tv <tv> 9.34-22.mga3
+ Revision: 259955
+ rebuild (emptylog)

* Sun Jun 10 2012 tv <tv> 9.34-21.mga3
+ Revision: 259274
- require kmod instead of module-init-tools

* Sat Apr 28 2012 tmb <tmb> 9.34-20.mga2
+ Revision: 233754
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 colin <colin> 9.34-19.mga2
+ Revision: 233445
- Fix issue with nscd cache invalidating under systemd (mga#2707)

* Tue Apr 24 2012 colin <colin> 9.34-18.mga2
+ Revision: 233169
- Roll up mageia patches into mgaconf mega patch (no functional change)
- Fix issue where ifcfg-* files may have spaces in them (from NM)
- Prevent invalid failure code leaking from /etc/rc.modules

* Fri Apr 06 2012 colin <colin> 9.34-17.mga2
+ Revision: 229306
- Various cosmetic fixes to units/sysv scripts

* Fri Apr 06 2012 colin <colin> 9.34-16.mga2
+ Revision: 228889
- Prevent udev running network actions during early boot.

* Tue Apr 03 2012 colin <colin> 9.34-15.mga2
+ Revision: 228124
- Do not block systemctl requests run via harddrake on boot (mga#4772)

* Tue Apr 03 2012 colin <colin> 9.34-14.mga2
+ Revision: 227992
- Allow network manager to ignore unplugged/disabled devices during network-up.

* Sun Apr 01 2012 colin <colin> 9.34-13.mga2
+ Revision: 227663
- Mask netfs initscript under systemd (it has native support)
- Ensure that when network-auth sysvinit script is enabled, it holds up logins under system

* Mon Mar 26 2012 colin <colin> 9.34-12.mga2
+ Revision: 226507
- Ignore NetworkManager TYPE=Wireless ifcfg-* files in network-up too.
- Ignore TYPE=Wireless ifcfg files at shutdown too.
- Ensure NetworkManager is started before network script (if it's enabled) to prevent double control of interfaces

* Sat Mar 24 2012 colin <colin> 9.34-11.mga2
+ Revision: 226117
- Assume NetworkManager is used if NM_CONTROLLED is not false (as opposed to being true)
- Do per-device checks when working with NetworkManager
- Fix runlevel switching by preventing wiping out /var/run (mga#4744)
- Minor fixes to 'service' wrapper script

* Mon Mar 19 2012 colin <colin> 9.34-10.mga2
+ Revision: 223843
- Ignore network config scripts with TYPE=Wireless (from Network Manager)

* Sun Mar 11 2012 tmb <tmb> 9.34-9.mga2
+ Revision: 222825
- fix path to mdadm map (mga #4875)

* Thu Mar 08 2012 colin <colin> 9.34-8.mga2
+ Revision: 221746
- Adjust scripts for display manager failure message (mga#4769)

* Thu Mar 08 2012 colin <colin> 9.34-7.mga2
+ Revision: 221383
- Add some upstream cherry picks
- Add a fallback message when prefdm does not start a dm under systemd (mga#4769)
- Remove the inittab hacks for dm service (predates Mageia)

* Thu Mar 01 2012 colin <colin> 9.34-6.mga2
+ Revision: 216397
- Remove kdm plymouth hack (suspect it was other reasons causing problems)
- Add lxdm to the prefdm script

* Thu Feb 16 2012 dmorgan <dmorgan> 9.34-5.mga2
+ Revision: 209764
- Add a patch to workaround a kdm start issue

* Mon Jan 23 2012 tv <tv> 9.34-4.mga2
+ Revision: 200330
- drop suggests on wireless-tools & comgt that bring tcl in basesystem through
  usb_modeswitch which should be installed by drakx-net when needed
  let's unbloat basesystem

  + dmorgan <dmorgan>
    - Fix URL

* Wed Dec 14 2011 colin <colin> 9.34-3.mga2
+ Revision: 181642
- Fix bug with sysvinit and timezones (mga#3512)

* Fri Nov 04 2011 colin <colin> 9.34-2.mga2
+ Revision: 162954
- Fix a script error in rc.sysinit.

* Fri Nov 04 2011 colin <colin> 9.34-1.mga2
+ Revision: 162695
- New version: 9.34
- Change how prefdm works to be more similar to Fedora (does not return)
- Merge all patches into the 'mdkconf' patch, but compress it and call it mgaconf

* Mon Oct 31 2011 colin <colin> 9.25-2.mga2
+ Revision: 160469
- Remove support for upstart. It's not packaged in Mageia, nor will it be.
- Change capitalisation of SysVinit require and unitfy versions with sysvinit-tools

* Sat Oct 29 2011 dmorgan <dmorgan> 9.25-1.mga2
+ Revision: 159653
- Rebuild to push in core media

* Sat Oct 22 2011 colin <colin> 9.25-0.3.mga2
+ Revision: 157407
- Update to 9.25
- Drop unneeded patches (e.g. no need to link to static glib as it's in /lib)
- Regenerate mdkconf from new Mageia initscripts git repo
- Move other patches to git and generate patchsets.
- Remove patch merged into previous mdkconf patch update.

  + dmorgan <dmorgan>
    - More mandriva removal ( mga #1560)
    - Remove some mandriva words ( mga #1527)

* Sat May 28 2011 blino <blino> 9.21-12.mga1
+ Revision: 100600
- run chvt with --userwait option at shutdown to avoid hanging waiting
  for chvt 1, since dm stop might have triggered a vt change as well
  details from vuntz on https://bugzilla.novell.com/show_bug.cgi?id=540482#c115
  (happens on my laptop with Mobility Radeon 9600 M10, plymouth disabled)

* Mon May 23 2011 pterjan <pterjan> 9.21-11.mga1
+ Revision: 100267
- Add patches from bug #1290 to fix plymouth password requests

* Thu May 12 2011 blino <blino> 9.21-10.mga1
+ Revision: 97422
- suggest wireless-tools and comgt

* Mon May 09 2011 tmb <tmb> 9.21-9.mga1
+ Revision: 96705
- add BR: glib2-static-devel
- replace file requires with proper package names
- drop buildroot
- drop rpm tags
- replace-LANG-with-LC_ALL so sed works correctly (#1216)

* Sun Apr 17 2011 anssi <anssi> 9.21-8.mga1
+ Revision: 87250
- Several bugfixes to speedboot:
  o In very early boot, call display_driver_helper to check if there is a
    pending dkms build (that may cause a wrong older binary dkms driver
    to be loaded by X server) or a conflicting driver loaded by initrd
    (which may cause graphical corruption / freeze when starting server)
    and disable speedboot in those cases.
  o Load display drivers before X when in speedboot.
  o In speedboot mode, reopen file descriptors after X should've started.
    This ensures that harddrake_service (and other sysinit output) is
    shown to the user if the X startup failed. (plymouth grabs the output,
    and when it shuts down the output is lost until descriptors are
    reopened).

* Thu Mar 31 2011 ahmad <ahmad> 9.21-7.mga1
+ Revision: 79281
- don't own /etc/sysconfig/, it's owned by filesystem rpm

* Thu Mar 24 2011 rtp <rtp> 9.21-6.mga1
+ Revision: 77151
- add -lrt as workaround for link failure
- Remove trailing slash at the end of TMPDIR/TMP

* Mon Feb 07 2011 rtp <rtp> 9.21-5.mga1
+ Revision: 48584
- Change system from Mandriva Linux to Mageia

* Mon Jan 24 2011 ennael <ennael> 9.21-4.mga1
+ Revision: 36784
- imported package initscripts

